Package org.apache.solr.client.solrj.request.json

## Enum TermsFacetMap.FacetMethod

- java.lang.Object
- - java.lang.Enum<TermsFacetMap.FacetMethod>
  - - org.apache.solr.client.solrj.request.json.TermsFacetMap.FacetMethod

All Implemented Interfaces:
  `Serializable`, `Comparable<TermsFacetMap.FacetMethod>`

Enclosing class:
  TermsFacetMap

    public static enum TermsFacetMap.FacetMethod
    extends Enum<TermsFacetMap.FacetMethod>

### Enum Constant Summary

Enum Constants
`DV`
`DVHASH`
`ENUM`
`SMART`
`STREAM`
`UIF`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`String` `toString()`
`static TermsFacetMap.FacetMethod` `valueOf​(String name)` Returns the enum constant of this type with the specified name.
`static TermsFacetMap.FacetMethod[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### DV

    public static final TermsFacetMap.FacetMethod DV

#### UIF

    public static final TermsFacetMap.FacetMethod UIF

#### DVHASH

    public static final TermsFacetMap.FacetMethod DVHASH

#### ENUM

    public static final TermsFacetMap.FacetMethod ENUM

#### STREAM

    public static final TermsFacetMap.FacetMethod STREAM

#### SMART

    public static final TermsFacetMap.FacetMethod SMART

### Method Detail

#### values

    public static TermsFacetMap.FacetMethod[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (TermsFacetMap.FacetMethod c : TermsFacetMap.FacetMethod.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static TermsFacetMap.FacetMethod valueOf​(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### toString

    public String toString()

Overrides:
  `toString` in class `Enum<TermsFacetMap.FacetMethod>`